Subject: Bug#531221: okular: Arbitrarily enforces DRM

From: Gunnar Wolf <[email-masked]>
Date: Thu, 4 Jun 2009 08:22:24 -0500

John Goerzen dijo [Sun, May 31, 2009 at 08:24:17AM -0500]:
> > Actually an advisory dialog (which could be turned off) would make some sense.
> > ("The author of this PDF document didn't mean to allow you $foo, do you want
> > to continue anyway?  Abort Continue")
> > 
> > Then a) you are aware that there are restrictions on the document, so if
> > you b) pass it on to people who cannot turn off DRM restrictions (like to
> > print it for you) you can take additional action to strip DRM.
> 
> That would seem a quite reasonable compromise to me, as a default
> option.  You can still have a checkbox in preferences for complete
> enforcement if there is somebody that really wants it, and leave it off
> by default.
> 
> What do you think, Pino?

I have seen arguments on this (very long) thread by Pino and other
members of the KDE team regarding the undeniable disadvantage of
having to maintain a patch basically forever. I have not seen
indication of this mailing reaching the upstream developers for Okular
— Yes, Pino is addressed at a @kde.org, but I understand he is
addressed as he is listed as the Debian maintainer for Okular. Has
this suggestion been pushed upstream? Don't you think we would do a
greater service to the KDE users if we convinced the authors instead
of just the Debian maintainers? (or at least, if we listened at their
arguments as well)

Greetings,

-- 
Gunnar Wolf - [email-masked] - (+52-55)5623-0154 / 1451-2244
PGP key 1024D/8BB527AF 2001-10-23
Fingerprint: 0C79 D2D1 2C4E 9CE4 5973  F800 D80E F35A 8BB5 27AF